<p align="center">
  <a href="https://pypi.org/project/biomedicus/">
    <img src="https://img.shields.io/pypi/v/biomedicus?label=pypi%3A%20biomedicus" /></a>
  <a href="https://pypi.org/project/biomedicus_client/">
    <img src="https://img.shields.io/pypi/v/biomedicus_client?label=pypi%3A%20biomedicus_client" /></a>
  <a href="https://github.com/nlpie/biomedicus/actions/workflows/ci.yml">
    <img src="https://github.com/nlpie/biomedicus/actions/workflows/ci.yml/badge.svg" /></a>
</p>

# BioMedICUS

The BioMedical Information Collection and Understanding System (BioMedICUS) is a system for large-scale text analysis and processing of biomedical and clinical reports. The system is being developed by the Natural Language Processing and Information Extraction Program at the University of Minnesota Institute for Health Informatics.

This is a collaborative project that aims to serve biomedical and clinical researchers, allowing for customization with different texts.

More information about BioMedICUS can be found on our [website](https://nlpie.github.io/biomedicus).

## Prerequisites

- [Python >=3.9,<=3.11](https://www.python.org/).
- [Java JDK 11+](https://adoptium.net). Note, you will need to have the ["java" command on the your "$PATH"](https://www.java.com/en/download/help/path.xml).

## Installation

[Installation instructions are available on our website](https://nlpie.github.io/biomedicus/docs/installation.html).

## Guides

[Additional guides for usage and development are also available on our website](https://nlpie.github.io/biomedicus).

## Contact

BioMedICUS is developed by the [NLP/IE Group](https://healthinformatics.umn.edu/research/nlpie-group) at the University of Minnesota Institute for Health Informatics. You can contact us at [nlp-ie@umn.edu](mailto:nlp-ie@umn.edu).
